org.scalatest.events

# SuiteAborted

#### case class SuiteAborted (ordinal: Ordinal, message: String, suiteName: String, suiteClassName: Option[String], throwable: Option[Throwable], duration: Option[Long], formatter: Option[Formatter], rerunner: Option[Rerunner], payload: Option[Any], threadName: String, timeStamp: Long) extends Event with Product with Serializable

Event that indicates the execution of a suite of tests has aborted, likely because of an error, prior to completion.

For example, trait `Suite` and object `Runner` use `SuiteAborted` to report that the `execute` method of a `Suite` has completed abruptly with a `RuntimeException`.

To create instances of this class you may use one of the factory methods provided in its companion object. For example, given a report function named `report`, you could fire a `SuiteAborted` event like this:

    report(SuiteAborted(ordinal, userFriendlyName, message, suiteName, Some(thisSuite.getClass.getName)))

The suite class name parameter is optional, because suites in ScalaTest are an abstraction that need not necessarily correspond to one class. Nevertheless, it most cases each suite will correspond to a class, and when it does, the fully qualified name of that class should be reported by passing a `Some` for `suiteClassName`. One use for this bit of information is JUnit integration, because the "name" provided to a JUnit `org.junit.runner.Description` appears to usually include a fully qualified class name by convention.

ordinal

  an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

message

  a localized message suitable for presenting to the user

suiteName

  the name of the suite containing the suite that has aborted

suiteClassName

  an optional fully qualifed `Suite` class name containing the suite that has aborted

throwable

  an optional `Throwable` that, if a `Some`, indicates why the suite has aborted, or a `Throwable` created to capture stack trace information about the problem.

duration

  an optional amount of time, in milliseconds, that was required to execute the suite that has aborted

formatter

  an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

rerunner

  an optional `Rerunner` that can be used to rerun the suite that has aborted (if `None` is passed, the suite cannot be rerun)

payload

  an optional object that can be used to pass custom information to the reporter about the `SuiteAborted` event

threadName

  a name for the `Thread` about whose activity this event was reported

timeStamp

  a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

Attributes
  final

Linear Supertypes
Serializable, Serializable, Product, Equals, Event, Ordered[Event], Comparable[Event], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. SuiteAborted
2. Serializable
3. Serializable
4. Product
5. Equals
6. Event
7. Ordered
8. Comparable
9. AnyRef
10. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SuiteAborted (ordinal: Ordinal, message: String, suiteName: String, suiteClassName: Option[String], throwable: Option[Throwable], duration: Option[Long], formatter: Option[Formatter], rerunner: Option[Rerunner], payload: Option[Any], threadName: String, timeStamp: Long)

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   message

     a localized message suitable for presenting to the user

   suiteName

     the name of the suite containing the suite that has aborted

   suiteClassName

     an optional fully qualifed `Suite` class name containing the suite that has aborted

   throwable

     an optional `Throwable` that, if a `Some`, indicates why the suite has aborted, or a `Throwable` created to capture stack trace information about the problem.

   duration

     an optional amount of time, in milliseconds, that was required to execute the suite that has aborted

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   rerunner

     an optional `Rerunner` that can be used to rerun the suite that has aborted (if `None` is passed, the suite cannot be rerun)

   payload

     an optional object that can be used to pass custom information to the reporter about the `SuiteAborted` event

   threadName

     a name for the `Thread` about whose activity this event was reported

   timeStamp

     a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def < (that: Event): Boolean

   Definition Classes
     Ordered

5. #### def <= (that: Event): Boolean

   Definition Classes
     Ordered

6. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

7. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

8. #### def > (that: Event): Boolean

   Definition Classes
     Ordered

9. #### def >= (that: Event): Boolean

   Definition Classes
     Ordered

10. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

11. #### def canEqual (arg0: Any): Boolean

    Definition Classes
      SuiteAborted → Equals

12. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

13. #### def compare (that: Event): Int

    Comparing `this` event with the event passed as `that`.

    Comparing `this` event with the event passed as `that`. Returns x, where x < 0 iff this < that, x == 0 iff this == that, x > 0 iff this > that.

    that

      the event to compare to this event

    Definition Classes
      Event → Ordered

14. #### def compareTo (that: Event): Int

    Definition Classes
      Ordered → Comparable

15. #### val duration : Option[Long]

    an optional amount of time, in milliseconds, that was required to execute the suite that has aborted

16. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def equals (arg0: Any): Boolean

    Definition Classes
      SuiteAborted → Equals → AnyRef → Any

18. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

19. #### val formatter : Option[Formatter]

    an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

    an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

    Definition Classes
      SuiteAborted → Event

20. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def hashCode (): Int

    Definition Classes
      SuiteAborted → AnyRef → Any

22. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

23. #### val message : String

    a localized message suitable for presenting to the user

24. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

25. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

26. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

27. #### val ordinal : Ordinal

    an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

    an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

    Definition Classes
      SuiteAborted → Event

28. #### val payload : Option[Any]

    an optional object that can be used to pass custom information to the reporter about the `SuiteAborted` event

    an optional object that can be used to pass custom information to the reporter about the `SuiteAborted` event

    Definition Classes
      SuiteAborted → Event

29. #### def productArity : Int

    Definition Classes
      SuiteAborted → Product

30. #### def productElement (arg0: Int): Any

    Definition Classes
      SuiteAborted → Product

31. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

32. #### def productPrefix : String

    Definition Classes
      SuiteAborted → Product

33. #### val rerunner : Option[Rerunner]

    an optional `Rerunner` that can be used to rerun the suite that has aborted (if `None` is passed, the suite cannot be rerun)

34. #### val suiteClassName : Option[String]

    an optional fully qualifed `Suite` class name containing the suite that has aborted

35. #### val suiteName : String

    the name of the suite containing the suite that has aborted

36. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

37. #### val threadName : String

    a name for the `Thread` about whose activity this event was reported

    a name for the `Thread` about whose activity this event was reported

    Definition Classes
      SuiteAborted → Event

38. #### val throwable : Option[Throwable]

    an optional `Throwable` that, if a `Some`, indicates why the suite has aborted, or a `Throwable` created to capture stack trace information about the problem.

39. #### val timeStamp : Long

    a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

    a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

    Definition Classes
      SuiteAborted → Event

40. #### def toString (): String

    Definition Classes
      SuiteAborted → AnyRef → Any

41. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

42. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

43. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

44. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Event

### Inherited from Ordered[Event]

### Inherited from Comparable[Event]

### Inherited from AnyRef

### Inherited from Any